Bug 176462 - [maintainer] mail/opendkim update to 2.8.0
Summary: [maintainer] mail/opendkim update to 2.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-27 02:20 UTC by Hirohisa Yamaguchi
Modified: 2013-02-27 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (9.68 KB, patch)
2013-02-27 02:20 UTC, Hirohisa Yamaguchi
no flags Details | Diff
mail_opendkim-176462.patch (9.86 KB, patch)
2013-02-27 07:26 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2013-02-27 02:20:00 UTC
	The new version of mail/opendkim 2.8.0 is available.
	Release-announcement: http://lists.opendkim.org/archive/opendkim/announce/2013/02/0041.html

Fix: The patch follows:
How-To-Repeat: 	N/A
Comment 1 Beech Rintoul freebsd_committer 2013-02-27 04:11:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 Hirohisa Yamaguchi 2013-02-27 07:26:30 UTC
Hi,

There are some incompatibilities with several bdb versions.
Here's an updated patch including upstream change.


Regards,
-- 

	Hirohisa Yamaguchi
	  <umq@ueo.co.jp>
Comment 3 dfilter service freebsd_committer 2013-02-27 08:43:00 UTC
Author: beech
Date: Wed Feb 27 08:42:44 2013
New Revision: 313038
URL: http://svnweb.freebsd.org/changeset/ports/313038

Log:
  - Update to 2.8.0
  - Release-announcement:
     http://lists.opendkim.org/archive/opendkim/announce/2013/02/0041.html
  
  PR:		ports/176462
  Submitted by:	Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)

Added:
  head/mail/opendkim/files/lcov-helper.sh   (contents, props changed)
  head/mail/opendkim/files/patch-libopendkim__dkim-cache.c   (contents, props changed)
  head/mail/opendkim/files/patch-libopendkim__tests__Makefile.in   (contents, props changed)
  head/mail/opendkim/files/patch-libopendkim__tests__t-test49.c   (contents, props changed)
  head/mail/opendkim/files/patch-opendkim__tests__Makefile.in   (contents, props changed)
Modified:
  head/mail/opendkim/Makefile
  head/mail/opendkim/Makefile.features
  head/mail/opendkim/Makefile.options
  head/mail/opendkim/distinfo
  head/mail/opendkim/pkg-plist

Modified: head/mail/opendkim/Makefile
==============================================================================
--- head/mail/opendkim/Makefile	Wed Feb 27 07:52:50 2013	(r313037)
+++ head/mail/opendkim/Makefile	Wed Feb 27 08:42:44 2013	(r313038)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=		opendkim
-PORTVERSION=		2.7.4
-PORTREVISION=		1
+PORTVERSION=		2.8.0
 CATEGORIES=		mail security
 MASTER_SITES=		SF
 MASTER_SITE_SUBDIR=	${PORTNAME} \
@@ -109,7 +108,7 @@ CONFIGURE_ARGS+=	--with-db-lib=c
 CONFIGURE_ARGS+=	--with-db-incdir=${BDB_INCLUDE_DIR} \
 			--with-db-libdir=${BDB_LIB_DIR} \
 			--with-db-lib=${BDB_LIB_NAME}
-USE_BDB=		41+
+USE_BDB=		40+
 . endif
 .endif
 .if ${PORT_OPTIONS:MUNBOUND}
@@ -155,6 +154,17 @@ USE_LUA=		5.1
 PLIST_SUB+=		LUA="@comment "
 .endif
 
+pre-configure:
+	${REINPLACE_CMD} -e '/PKG_CONFIG/s/lua5/lua-5/' \
+	${WRKSRC}/configure
+
+post-patch:
+.if ${PORT_OPTIONS:MLCOV}
+	${CP} ${FILESDIR}/lcov-helper.sh ${WRKSRC}/libopendkim/tests/
+	${CP} ${FILESDIR}/lcov-helper.sh ${WRKSRC}/opendkim/tests/
+	${FIND} ${WRKSRC} -type f -name \*-helper.sh -exec ${CHMOD} 755 {} +
+.endif
+
 post-install:
 .if ! ${PORT_OPTIONS:MDEBUG} && ${PORT_OPTIONS:MFILTER}
 	@${STRIP_CMD} ${PREFIX}/sbin/opendkim

Modified: head/mail/opendkim/Makefile.features
==============================================================================
--- head/mail/opendkim/Makefile.features	Wed Feb 27 07:52:50 2013	(r313037)
+++ head/mail/opendkim/Makefile.features	Wed Feb 27 08:42:44 2013	(r313038)
@@ -60,6 +60,15 @@ CONFIGURE_ARGS+=	--without-erlang
 CONFIGURE_ARGS+=	--enable-identity_header
 .endif
 
+.if ${PORT_OPTIONS:MLCOV}
+BROKEN=			Does not install
+BUILD_DEPENDS+=		lcov:${PORTSDIR}/devel/lcov \
+			${SITE_PERL}/${PERL_ARCH}/GD.pm:${PORTSDIR}/graphics/p5-GD
+CONFIGURE_ARGS+=	--with-lcov
+.else
+CONFIGURE_ARGS+=	--without-lcov
+.endif
+
 .if ${PORT_OPTIONS:MLDAP_CACHING}
 WITH_OPENLDAP=		yes
 CONFIGURE_ARGS+=	--enable-ldap_caching
@@ -94,7 +103,7 @@ CONFIGURE_ARGS+=	--enable-replace_rules
 CONFIGURE_ARGS+=	--enable-reprrd
 MAN8+=			opendkim-reprrdimport.8
 PLIST_SUB+=		REPRRD=""
-BUILD_DEPENDS=		rrdtool>=0:${PORTSDIR}/databases/rrdtool
+BUILD_DEPENDS+=		rrdtool>=0:${PORTSDIR}/databases/rrdtool
 .else
 CONFIGURE_ARGS+=	--disable-reprrd
 PLIST_SUB+=		REPRRD="@comment "

Modified: head/mail/opendkim/Makefile.options
==============================================================================
--- head/mail/opendkim/Makefile.options	Wed Feb 27 07:52:50 2013	(r313037)
+++ head/mail/opendkim/Makefile.options	Wed Feb 27 08:42:44 2013	(r313038)
@@ -11,7 +11,7 @@ FFR_DESC=		Use features marked as For-Fu
 OPTIONS_GROUP+=		FFR
 OPTIONS_GROUP_FFR=	ADSP_LISTS ALLSYMBOLS ATPS CODECOVERAGE \
 			DB_HANDLE_POOLS DEFAULT_SENDER DIFFHEADERS \
-			DKIM_REPUTATION ERLANG IDENTITY_HEADER \
+			DKIM_REPUTATION ERLANG IDENTITY_HEADER LCOV \
 			LDAP_CACHING POSTGRES_RECONNECT_HACK \
 			RATE_LIMIT RBL REDIRECT REPLACE_RULES REPRRD \
 			REPUTATION RESIGN SENDER_MACRO SOCKETDB \
@@ -27,6 +27,7 @@ DIFFHEADERS_DESC=		Compare signed and ve
 DKIM_REPUTATION_DESC=		DKIM reputation check (experimental)
 ERLANG_DESC=			Support for Erlang datasets
 IDENTITY_HEADER_DESC=		Special header to set identity
+LCOV_DESC=			Profiling with LCOV
 LDAP_CACHING_DESC=		LDAP query piggybacking and caching
 POSTGRES_RECONNECT_HACK_DESC=	PostgreSQL connection error detection bug hack
 RATE_LIMIT_DESC=		DKIM based rate limiting support

Modified: head/mail/opendkim/distinfo
==============================================================================
--- head/mail/opendkim/distinfo	Wed Feb 27 07:52:50 2013	(r313037)
+++ head/mail/opendkim/distinfo	Wed Feb 27 08:42:44 2013	(r313038)
@@ -1,2 +1,2 @@
-SHA256 (opendkim-2.7.4.tar.gz) = fa66f7ca52dd3fa94cd869e8fe9e8f849ab83d6a32a8d4ed3cf18b06b4584e76
-SIZE (opendkim-2.7.4.tar.gz) = 1158496
+SHA256 (opendkim-2.8.0.tar.gz) = a7b369b2182031d53257cbbac7ed99d70b00ebc442dfb832dc7d78d5d7b0c31c
+SIZE (opendkim-2.8.0.tar.gz) = 1175377

Added: head/mail/opendkim/files/lcov-helper.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/lcov-helper.sh	Wed Feb 27 08:42:44 2013	(r313038)
@@ -0,0 +1,9 @@
+#! /bin/sh
+$1
+x=$?
+# keep consistant with Makefile.am
+testname=${1#./t-}
+testname=$(echo ${testname} | sed -e 's/-/_/g')
+lcov --capture --directory .. --output-file $1.info --test-name ${testname} --quiet
+lcov --remove $1.info '/usr/include/*' --output-file $1.info --quiet &
+exit $x

Added: head/mail/opendkim/files/patch-libopendkim__dkim-cache.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-libopendkim__dkim-cache.c	Wed Feb 27 08:42:44 2013	(r313038)
@@ -0,0 +1,18 @@
+diff --git a/libopendkim/dkim-cache.c b/libopendkim/dkim-cache.c
+index 1bb10e8..3a0d6c5 100644
+--- ./libopendkim/dkim-cache.c
++++ ./libopendkim/dkim-cache.c
+@@ -508,7 +508,13 @@ dkim_cache_stats(DB *db, u_int *queries, u_int *hits, u_int *expired,
+ #if DB_VERSION_CHECK(2,0,0)
+ 		DB_HASH_STAT *sp;
+ 
++# if DB_VERSION_CHECK(4,3,0)
+ 		if (db->stat(db, NULL, (void *) &sp, 0) != 0)
++# elif DB_VERSION_CHECK(4,0,0)
++		if (db->stat(db, (void *) &sp, 0) != 0)
++# else /* DB_VERSION_CHECK(4,0,0) */
++		if (db->stat(db, (void *) &sp, NULL, 0) != 0)
++# endif /* DB_VERSION_CHECK(4,0,0) */
+ 		{
+ 			*keys = (u_int) -1;
+ 		}

Added: head/mail/opendkim/files/patch-libopendkim__tests__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-libopendkim__tests__Makefile.in	Wed Feb 27 08:42:44 2013	(r313038)
@@ -0,0 +1,41 @@
+--- ./libopendkim/tests/Makefile.in.orig	2013-02-26 06:06:04.000000000 +0900
++++ ./libopendkim/tests/Makefile.in	2013-02-26 19:58:50.000000000 +0900
+@@ -1049,8 +1049,10 @@
+       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+     END { for (dir in files) print dir, files[dir] }'
+ am__base_list = \
+-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
++  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\
++/ /g' | \
++  sed '$$!N;$$!N;$$!N;$$!N;s/\
++/ /g'
+ am__uninstall_files_from_dir = { \
+   test -z "$$files" \
+     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
+@@ -2782,16 +2784,19 @@
+ @LCOV_TRUE@description.txt: $(check_PROGRAMS) $(check_SCRIPTS)
+ @LCOV_TRUE@	rm -f $@
+ @LCOV_TRUE@	for i in $(check_PROGRAMS); do \
+-@LCOV_TRUE@		testname=$${i/t-}; \
+-@LCOV_TRUE@		testname=$${testname//-/_}; \
++@LCOV_TRUE@		testname=$${i#t-}; \
++@LCOV_TRUE@		testname=$$(echo $${testname} | sed -e 's/-/_/g'); \
+ @LCOV_TRUE@		fgrep '***' $$i.c | tail -n 1 | \
+-@LCOV_TRUE@		(echo $${testname} ; sed -e 's/[^*]*\*\*\*\(.*\)\\n.*/\t\1\n/g' ) >> $@; \
++@LCOV_TRUE@		(echo $${testname} ; sed -e 's/[^*]*\*\*\*\(.*\)\\
++@LCOV_TRUE@.*/	\1\
++@LCOV_TRUE@/g' ) >> $@; \
+ @LCOV_TRUE@	done
+ @LCOV_TRUE@	for i in $(check_SCRIPTS); do \
+-@LCOV_TRUE@		testname=$${i/t-}; \
+-@LCOV_TRUE@		testname=$${testname//-/_}; \
++@LCOV_TRUE@		testname=$${i#t-}; \
++@LCOV_TRUE@		testname=$$(echo $${testname} | sed -e 's/-/_/g'); \
+ @LCOV_TRUE@		grep '^#' $$i | tail -n 1 | \
+-@LCOV_TRUE@		(echo $${testname} ; sed -e 's/^# \(.*\)/\t\1\n/g' ) >> $@; \
++@LCOV_TRUE@		(echo $${testname} ; sed -e 's/^# \(.*\)/	\1\
++@LCOV_TRUE@/g' ) >> $@; \
+ @LCOV_TRUE@	done
+ 
+ @LCOV_TRUE@description.html: description.txt

Added: head/mail/opendkim/files/patch-libopendkim__tests__t-test49.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-libopendkim__tests__t-test49.c	Wed Feb 27 08:42:44 2013	(r313038)
@@ -0,0 +1,26 @@
+diff --git a/libopendkim/tests/t-test49.c b/libopendkim/tests/t-test49.c
+index e54cb37..318ad8a 100644
+--- ./libopendkim/tests/t-test49.c
++++ ./libopendkim/tests/t-test49.c
+@@ -53,7 +53,7 @@ main(int argc, char **argv)
+ 
+ 	int status;
+ 	int err;
+-	u_int s1, s2, s3;
++	u_int s1, s2, s3, s4;
+ 	size_t buflen;
+ 	DB *cache;
+ 	char buf[BUFRSZ + 1];
+@@ -99,10 +99,11 @@ main(int argc, char **argv)
+ 	assert(status == 1);
+ 
+ 	printf("--- retrieve cache stats\n");
+-	dkim_cache_stats(&s1, &s2, &s3);
++	dkim_cache_stats(cache, &s1, &s2, &s3, &s4, FALSE);
+ 	assert(s1 == 3);
+ 	assert(s2 == 1);
+ 	assert(s3 == 1);
++	assert(s4 == 0);
+ 
+ 	dkim_cache_close(cache);
+ #endif /* ! QUERY_CACHE */

Added: head/mail/opendkim/files/patch-opendkim__tests__Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/opendkim/files/patch-opendkim__tests__Makefile.in	Wed Feb 27 08:42:44 2013	(r313038)
@@ -0,0 +1,36 @@
+--- ./opendkim/tests/Makefile.in.orig	2013-02-26 06:06:06.000000000 +0900
++++ ./opendkim/tests/Makefile.in	2013-02-26 19:58:50.000000000 +0900
+@@ -98,8 +98,10 @@
+       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+     END { for (dir in files) print dir, files[dir] }'
+ am__base_list = \
+-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
++  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\
++/ /g' | \
++  sed '$$!N;$$!N;$$!N;$$!N;s/\
++/ /g'
+ am__uninstall_files_from_dir = { \
+   test -z "$$files" \
+     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
+@@ -778,14 +780,16 @@
+ @LCOV_TRUE@description.txt: $(check_SCRIPTS)
+ @LCOV_TRUE@	rm -f $@
+ @LCOV_TRUE@	for test in $? ; do \
+-@LCOV_TRUE@		testname=$${test/t-}; \
+-@LCOV_TRUE@		testname=$${testname//-/_}; \
++@LCOV_TRUE@		testname=$${test#t-}; \
++@LCOV_TRUE@		testname=$$(echo $${testname} | sed -e 's/-/_/g'); \
+ @LCOV_TRUE@		grep ^# $$test | tail -n 1 | \
+-@LCOV_TRUE@			sed -e "s/^#\(.*\)/$${testname}\n\t\1\n/g" >> $@; \
++@LCOV_TRUE@			sed -e "s/^#\(.*\)/$${testname}\
++@LCOV_TRUE@	\1\
++@LCOV_TRUE@/g" >> $@; \
+ @LCOV_TRUE@	done
+ 
+ @LCOV_TRUE@description.html: description.txt
+-@LCOV_TRUE@	gendesc --output $@ $<
++@LCOV_TRUE@	gendesc --output $@ $?
+ 
+ @LCOV_TRUE@maintainer-clean-local:
+ @LCOV_TRUE@	-rm -rf lcov/[^C]*

Modified: head/mail/opendkim/pkg-plist
==============================================================================
--- head/mail/opendkim/pkg-plist	Wed Feb 27 07:52:50 2013	(r313037)
+++ head/mail/opendkim/pkg-plist	Wed Feb 27 08:42:44 2013	(r313038)
@@ -18,7 +18,7 @@ include/opendkim/dkim.h
 lib/libopendkim.a
 lib/libopendkim.la
 lib/libopendkim.so
-lib/libopendkim.so.8
+lib/libopendkim.so.9
 %%RBL%%lib/librbl.a
 %%RBL%%lib/librbl.la
 %%RBL%%lib/librbl.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Beech Rintoul freebsd_committer 2013-02-27 08:43:22 UTC
State Changed
From-To: open->closed

Committed, Thanks!